/* graph search algorithm for AGRAPH */

#ifndef _agrpalg_h_
#define _agrpalg_h_

#include"queue.h"
#include"agraph.h"

/* graph search. use edges. without recursion */
void AGRAPH_DFS (AGRAPH *G, int v, int *vf, QUEUE *ff, int flag);

/* initialization/termination/partial initialization for marks used by DFS */
void AGRAPH_search_init (AGRAPH *G, int **vf, QUEUE *ff, int **dep);
void AGRAPH_search_end (int *vf, QUEUE *ff, int *dep);
void AGRAPH_search_reinit (int *vf, QUEUE *ff);

#endif


